<?
require("../functions.php");
$fnt = imageloadfont("../fonts/proggysquare.gdf");

function imagecross($im, $x, $y, $size, $val_x, $val_y, $val_yy, $colour) {
    global $fnt, $int_id, $black, $brown, $green, $blue, $yellow, $fiollet;

    imageline($im, $x, $y, $x+2*$size, $y, $colour);
    imageline($im, $x, $y, $x, $y-$size, $colour);
    imageline($im, $x+2*$size, $y, $x+2*$size, $y-$size, $colour);
    
    $tab_packets = get_packets($int_id); //get all data for graph

    //for errors
    $max_tx_err=0; $max_rx_err=0;
    if (is_array($tab_packets[0])) $max_tx_err = max($tab_packets[0]);
    if (is_array($tab_packets[1])) $max_rx_err = max($tab_packets[1]);
    $max_err=$max_rx_err;
    if ($max_tx_err>$max_rx_err) $max_err=$max_tx_err;
    if ($max_err<=0) $max_err=10;

    //for packets
    $tab_max = array();
    if (is_array($tab_packets[2])) array_unshift($tab_max,max($tab_packets[2]));
    if (is_array($tab_packets[3])) array_unshift($tab_max,max($tab_packets[3]));
    if (is_array($tab_packets[4])) array_unshift($tab_max,max($tab_packets[4]));
    $max_pack=0;
    if (is_array($tab_max) && count($tab_max)>0) $max_pack = max($tab_max)/1000000;
    if ($max_pack<=0) $max_pack=25;
    
    //left y
    for ($i=0; $i<count($val_y); $i++) {
	$v_y=make_twodigits($val_y[$i]/(25/$max_pack))." mln";        
	imagestring($im,$fnt,$x-54-9,$y-10-($size/(count($val_y)-1))*$i,$v_y,$black);
    }
    
    //right y
    for ($i=0; $i<count($val_yy); $i++) {
	$v_yy=round($val_yy[$i]/(10/$max_err),3)."%";        
	imagestring($im,$fnt,$x+5+2*$size,$y-10-($size/(count($val_yy)-1))*$i,$v_yy,$black);
    }
	
    $start_x=0;
    $end_x=0;	  
    $tx_err_points_x=array();
    $tx_err_points_y=array();
    $rx_err_points_x=array();
    $rx_err_points_y=array();
    $tx_points_y=array();
    $tx_points_x=array();
    $rx_points_y=array();
    $rx_points_x=array();
    $all_points_x=array();
    $all_points_y=array();
    
    //$tab_packets = get_packets($int_id); //get all data for graph

    for ($i=0; $i<count($val_x); $i++) {
	imagestring($im,$fnt,$x-10+$size/count($val_x)+2*$size/count($val_x)*$i,$y+5,$val_x[$i],$black);
	$part=1.95; //1.9
	$max_ratio_err = (10/$max_err);
	$ratio = ($size/(count($val_y)-1))*$max_ratio_err;

	$TX_ERROR=$tab_packets[0][count($val_x)-$i-1];	
	$RX_ERROR=$tab_packets[1][count($val_x)-$i-1];	
	$TX_PACKETS=$tab_packets[2][count($val_x)-$i-1];	
	$RX_PACKETS=$tab_packets[3][count($val_x)-$i-1];	
	$ALL_PACKETS=$tab_packets[4][count($val_x)-$i-1];	

	//---------------------errors packets----------------------	
	$tx_err_start_y=$y-($TX_ERROR*$ratio/$part);
	$tx_err_end_y=$tx_err_start_y+5;	

	$rx_err_start_y=$y-($RX_ERROR*$ratio/$part);
	$rx_err_end_y=$rx_err_start_y+5;	
	
	if ($TX_ERROR>0)
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i, $tx_err_start_y,$x+5+$size/count($val_x)+2*$size/count($val_x)*$i , $tx_err_end_y, $green);
	
	if ($RX_ERROR>0)
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i, $rx_err_start_y,$x+5+$size/count($val_x)+2*$size/count($val_x)*$i , $rx_err_end_y, $brown);
			
	array_push($tx_err_points_x, $x+$size/count($val_x)+2*$size/count($val_x)*$i);
	array_push($tx_err_points_y, $tx_err_start_y);	

	array_push($rx_err_points_x, $x+$size/count($val_x)+2*$size/count($val_x)*$i);
	array_push($rx_err_points_y, $rx_err_start_y);	

	//----------------sent and received packets----------------	
	//today
	$part=5000000;
	$part=4850000;
	$ratio = ($size/(count($val_y)-1))*25/$max_pack;

	$tx_start_y=$y-($TX_PACKETS*$ratio/$part);
	$tx_end_y=$tx_start_y+5;	
	if ($TX_PACKETS>0)
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i, $tx_start_y,$x+5+$size/count($val_x)+2*$size/count($val_x)*$i , $tx_end_y, $yellow);
	array_push($tx_points_x, $x+$size/count($val_x)+2*$size/count($val_x)*$i);
	array_push($tx_points_y, $tx_start_y);
	
	$rx_start_y=$y-($RX_PACKETS*$ratio/$part);
	$rx_end_y=$rx_start_y+5;	
	if ($RX_PACKETS>0)
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i, $rx_start_y,$x+5+$size/count($val_x)+2*$size/count($val_x)*$i , $rx_end_y, $blue);
	array_push($rx_points_x, $x+$size/count($val_x)+2*$size/count($val_x)*$i);
	array_push($rx_points_y, $rx_start_y);
	
	$all_start_y=$y-($ALL_PACKETS*$ratio/$part);
	$all_end_y=$all_start_y+5;	
	if ($ALL_PACKETS>0)
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i, $all_start_y,$x+5+$size/count($val_x)+2*$size/count($val_x)*$i , $all_end_y, $fiollet);
	array_push($all_points_x, $x+$size/count($val_x)+2*$size/count($val_x)*$i);
	array_push($all_points_y, $all_start_y);
	
	
    }
    
    //imagestring($im,2,20,50,$rx_points_x[1],$black);
    
    //-------------------for errors packets-------------------
    
    for ($i=0; $i<count($tx_err_points_y); $i++) {
	if ($i<count($tx_err_points_y)-1)
	    imageline($im, $tx_err_points_x[$i], $tx_err_points_y[$i]+1, $tx_err_points_x[$i+1], $tx_err_points_y[$i+1]+1, $green);	            
	}
    
		
    for ($i=0; $i<count($rx_err_points_y); $i++) {
	if ($i<count($rx_err_points_y)-1)
	    imageline($im, $rx_err_points_x[$i], $rx_err_points_y[$i]+1, $rx_err_points_x[$i+1], $rx_err_points_y[$i+1]+1, $brown);	            
	}
	
    //-------------------for sent and received packets--------
    
    for ($i=0; $i<count($tx_points_y); $i++) {
	if ($i<count($tx_points_y)-1)
	    imageline($im, $tx_points_x[$i], $tx_points_y[$i]+1, $tx_points_x[$i+1], $tx_points_y[$i+1]+1, $yellow);	            
	}
	
    for ($i=0; $i<count($rx_points_y); $i++) {
	if ($i<count($rx_points_y)-1)
	    imageline($im, $rx_points_x[$i], $rx_points_y[$i]+1, $rx_points_x[$i+1], $rx_points_y[$i+1]+1, $blue);	            
	}
	
    for ($i=0; $i<count($all_points_y); $i++) {
	if ($i<count($all_points_y)-1)
	    imageline($im, $all_points_x[$i], $all_points_y[$i]+1, $all_points_x[$i+1], $all_points_y[$i+1]+1, $fiollet);	            
	}
    		
}

$num_days=0;
if (isset($_REQUEST["choose_data"]) && is_numeric($_REQUEST["choose_data"])) $num_days=$_REQUEST["choose_data"];
$int_id=false;
if (isset($_REQUEST["choose_int"])) $int_id=$_REQUEST["choose_int"];

//if (isset($_REQUEST["choose_int"]) && is_numeric($_REQUEST["choose_int"])) $int_id=$_REQUEST["choose_int"];

header("Content-type: image/png");
$img = imagecreate(520,320); //300

$white = imagecolorallocate($img, 255,255,255);
$black = imagecolorallocate($img, 0,0,0);
$brown = imagecolorallocate($img, 200,20,20);
$green = imagecolorallocate($img, 20,200,20);
$colour=imagecolorallocate($img, 100,20,20);
$blue=imagecolorallocate($img, 0,255,255);
$yellow = imagecolorallocate($img, 250,176,5);
$fiollet = imagecolorallocate($img, 219,36,173);

imagestring($img, $fnt, 190, 10, "Packets Statistics", $colour);
//$h_title = get_interface_NAME($int_id);
$h_title=$int_id;
imagestring($img, $fnt, 192, 25, $h_title, $brown);

imagestring($img, $fnt, 26, 45, "Num of Packets", $colour);
imagestring($img, $fnt, 428, 45, "Errors", $colour);

$tabstr_y=array("0","5","10","15","20","25");
$tabstr_yy=array("0","2","4","6","8","10");
$tabstr_x=array();
$tab_namedays=get_last_namedays();
for ($i=1; $i<=$num_days; $i++) {
    array_unshift($tabstr_x, $tab_namedays[$i-1]);
}

imagecross($img, 70, 260, 180, $tabstr_x, $tabstr_y, $tabstr_yy, $black);

$pos_l = 285;
imagestring($img, $fnt, 100, $pos_l, "--- TX Errors", $green);
imagestring($img, $fnt, 100, $pos_l+12, "--- RX Errors", $brown);
imagestring($img, $fnt, 210, $pos_l, "--- TX Packets", $yellow);
imagestring($img, $fnt, 210, $pos_l+12, "--- RX Packets", $blue);
imagestring($img, $fnt, 325, $pos_l, "--- ALL Packets", $fiollet);

imagepng($img);
imagedestroy($img);

?>