<?
require("../functions.php");
$fnt = imageloadfont("../fonts/proggysquare.gdf");    

function imagecross($im, $x, $y, $size, $val_x, $val_y, $val_yy, $colour, $num_days) {
    global $fnt,$int_id, $black, $brown, $green;

    imageline($im, $x, $y, $x+2*$size, $y, $colour);
    imageline($im, $x, $y, $x, $y-$size, $colour);
    imageline($im, $x+2*$size, $y, $x+2*$size, $y-$size, $colour);

    $tab_transfer = get_transfer_MB($int_id);
    
    $max_up=0; $max_down=0;
    //max for upload
    $tab_max_up = array();
    if (is_array($tab_transfer[0])) { 
	    for ($i=0; $i<$num_days; $i++) {
		array_unshift($tab_max_up, $tab_transfer[0][$i]);
	    }   
	    $max_up = max($tab_max_up);
    }

    //max for download
    $tab_max_down = array();
    if (is_array($tab_transfer[1])) { 
	    for ($i=0; $i<$num_days; $i++) {
		array_unshift($tab_max_down, $tab_transfer[1][$i]);
	    }   
	    $max_down = max($tab_max_down);
    }
   
    $max=$max_down;
    if ($max_up>$max_down) $max=$max_up;
    $main_max=$max;
    if ($max<=0) $max=100;

    //for left Y
    for ($i=0; $i<count($val_y); $i++) {
	$v_y=make_twodigits($val_y[$i]/(100/$max));
	if ($max<1000) $v_y.=" MB";
	else { $v_y=round($v_y/1000,3); $v_y.=" GB"; }
	//imagestring($im,2,$x-35,$y-10-($size/(count($val_y)-1))*$i,$val_y[$i],$black);
	imagestring($im,$fnt,$x-57,$y-10-($size/(count($val_y)-1))*$i,$v_y,$black);
    }
    
    //for right Y    
    for ($i=0; $i<count($val_yy); $i++) {
	$max_y=$max/1000;
	$v_yy=round($val_yy[$i]/(100/$max_y),6); //." Mbps";
	if ($v_yy<0.01) { $v_yy=$v_yy*1000; $v_yy.=" Kbps"; }
	else { $v_yy=round($v_yy,3); $v_yy.=" Mbps"; }
	imagestring($im,$fnt,$x+5+2*$size,$y-10-($size/(count($val_yy)-1))*$i,$v_yy,$black);
    }

    for ($i=0; $i<count($val_x); $i++) {
	//$max=$max*1024;
	imagestring($im,$fnt,$x-10+$size/count($val_x)+2*$size/count($val_x)*$i,$y+5,$val_x[$i],$black);
	$part=25;
	$end_y=$y-1;	
	$up_transfer=$tab_transfer[0][count($val_x)-$i-1];	
	$down_transfer=$tab_transfer[1][count($val_x)-$i-1];	
	$max_ratio = (100/$max);
	//if ($max>=1000) $max_ratio=$max_ratio/1000;
	$ratio = ($size/(count($val_y)-1))*$max_ratio;
			
	if ($up_transfer>0) {
	    $start_y=$y-($up_transfer*$ratio/$part);
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i-1, $start_y-1,$x+20+$size/count($val_x)+2*$size/count($val_x)*$i +1, $end_y, imagecolorallocate($im, 130,220,130));
	    imagefilledrectangle($im, $x+$size/count($val_x)+2*$size/count($val_x)*$i, $start_y,$x+20+$size/count($val_x)+2*$size/count($val_x)*$i , $end_y, $green);
	    //imagestring($im,$fnt,$x-10+$size/count($val_x)+2*$size/count($val_x)*$i,$y+15,$up_transfer,$black);
	}	

	if ($down_transfer>0) {
	    $start_y=$y-($down_transfer*$ratio/$part);
	    imagefilledrectangle($im, $x-20+$size/count($val_x)+2*$size/count($val_x)*$i-1, $start_y-1,$x+$size/count($val_x)+2*$size/count($val_x)*$i-1 +1, $end_y, imagecolorallocate($im, 240,160,160));
	    imagefilledrectangle($im, $x-20+$size/count($val_x)+2*$size/count($val_x)*$i, $start_y,$x+$size/count($val_x)+2*$size/count($val_x)*$i-1 , $end_y, $brown);
	    //imagestring($im,$fnt,$x-10+$size/count($val_x)+2*$size/count($val_x)*$i,$y+15,$down_transfer,$black);
	}
	
    }    
}

$num_days=0;
if (isset($_REQUEST["choose_data"]) && is_numeric($_REQUEST["choose_data"])) $num_days=$_REQUEST["choose_data"];
$int_id=0;
//if (isset($_REQUEST["choose_int"]) && is_numeric($_REQUEST["choose_int"])) $int_id=$_REQUEST["choose_int"];

if (isset($_REQUEST["choose_int"])) $int_id=$_REQUEST["choose_int"];

header("Content-type: image/png");
$img = imagecreate(520,320);

$white = imagecolorallocate($img, 255,255,255);
$black = imagecolorallocate($img, 0,0,0);
$brown = imagecolorallocate($img, 200,20,20);
$green = imagecolorallocate($img, 20,200,20);
$colour=imagecolorallocate($img, 100,20,20);

imagestring($img, $fnt, 150, 10, "Statistics for upload & download", $colour);
//$h_title = get_interface_NAME($int_id);
$h_title = $int_id;
imagestring($img, $fnt, 200, 25, $h_title, $brown);

imagestring($img, $fnt, 26, 45, "Transfer", $colour);
imagestring($img, $fnt, 428, 45, "Speed", $colour);


//$tabstr_y=array("0GB","25GB","50GB","75GB","100GB");
$tabstr_y=array("0","25","50","75","100");
//$tabstr_yy=array("0 Mbps","2.32 Mbps","4.63 Mbps","6.94 Mbps","9.26 Mbps");
$tabstr_yy=array("0","2.32","4.63","6.94","9.26");
//$tabstr_yy=array("0","0.00232","0.00463","0.00694","0.00926");
$tabstr_x=array();
$tab_namedays=get_last_namedays();
for ($i=1; $i<=$num_days; $i++) {
    array_unshift($tabstr_x, $tab_namedays[$i-1]);
}

imagecross($img, 70, 260, 180, $tabstr_x, $tabstr_y, $tabstr_yy, $black, $num_days);

$pos_l = 290;

imagestring($img, $fnt, 170, $pos_l, "* Upload", $green);
imagestring($img, $fnt, 270, $pos_l, "* Download", $brown);


imagepng($img);
imagedestroy($img);

?>